Subject: bug#77544: (WIP) [PATCH] Prettify page separators.

From: Visuwesh <[email-masked]>
Date: Sun, 06 Apr 2025 16:07:06 +0530

[ஞாயிறு ஏப்ரல் 06, 2025] Eli Zaretskii wrote:

>> Do we need a new display property when we have the :strike-through face
>> attribute?  The following achieves the same effect, albeit the newline
>> is required for the :extend attribute to work properly AFAIU:
>> 
>>     (font-lock-add-keywords 
>>      nil
>>      '(("\f\n" (0 (prog1 nil
>>                     (put-text-property (match-beginning 0) (1- (match-end 0))
>>                                        'display " ")
>>                     (put-text-property (match-beginning 0) (match-end 0)
>>                                        'face '(:strike-through t :extend t)))))))
>>     (push 'display font-lock-extra-managed-props)
>
> Thanks, but what does this do on TTY frames?  We'd want to show
> dashes, I think.

I see no difference from the line in show in a GUI frame, and in xterm.
However, I don't see a line at all in the Linux tty thingy.  The font
used in xterm does not seem to matter either.

> Besides, we don't have any control on the thickness of the
> strike-through line, something that would be a natural extension here.
> And it sounds like a kludge to me, TBH.

More styling for the horizontal line, similar to what have for
:underline, would be nice to have too.  And I agree, it is a bit of
hack.